
Vidi (List Component) - Bug # 56872

Status: Resolved Priority: Must have
Author: Christian Weiske Category:
Created: 2014-03-13 Assigned To: Fabien Udriot
Updated: 2014-07-11 Due date:
Subject: User Tools > FE Group: Validating the security token failed
Description

Using TYPO3 6.2beta6, I get an error message

Validating the security token of this form has failed. Please reload the form and submit it again.

when clicking on "User Tools" > "FE Group". Same for the media tool.

Related issues:
related to Core - Story # 55509: Add CSRF Protection to mod.php Resolved 2014-02-26
related to Vidi (List Component) - Bug # 56871: File picker popup: Invalid fo... Resolved 2014-03-13
related to Vidi (List Component) - Bug # 57682: invalid security token Closed 2014-04-06

History
#1 - 2014-04-01 20:47 - Steffen Müller

confirmed with TYPO3 6.2.0.

#2 - 2014-04-04 13:19 - Gerrit Code Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.org/29157

#3 - 2014-04-04 14:01 - Gerrit Code Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.org/29157

#4 - 2014-04-04 14:17 - Martin Hummer

tried this patch, but it doesn't work for me, still get the security token error.

if i install vidi & media, i also get this error if i click on a page in the pagetree.

#5 - 2014-04-04 15:29 - Fabien Udriot
- Status changed from New to Accepted
- Assigned To set to Fabien Udriot

Can you double check again with:
    -  latest 6.2.1-dev
    -  vidi master (just merged changes some minutes ago)
    -  latest version of the patch

If that still not work, can you tell more if it is the main module not loading because of the token or the Ajax request which also requires a security token.
(if you don't understand, just attach a screenshot here)

Beware the patch will break Vidi module in a CMS 6.1 context. We have a serious problem here. The QueryInterface has changed along the way and I
don't know how to solve it to keep it compatible 6.1 + 6.2.

#6 - 2014-04-05 15:11 - Gerrit Code Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.org/29186

#7 - 2014-04-06 11:36 - Martin Hummer

the new patch solves that issue for me !

but i opened a new issue which i think is related to this one.

#8 - 2014-04-13 20:26 - Gerrit Code Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/vidi has been pushed to the review server.
It is available at https://review.typo3.org/29186

#9 - 2014-04-15 10:43 - Bernd Niehues

I don't know wether this belongs to EXT:vidi or EXT:media. But the error occurs with patch set 2 applied to current master.

When I edit a FileMetadata-Record in Module "User Tools > Media", and leaving it by pressing the "x"-Button, I still get the form validating error:

#1392409507: Invalid form/module token detected. Access Denied! 
UnexpectedValueException thrown in file /www/_t3src/typo3_src-6.2.0/typo3/mod.php in line 39.

#10 - 2014-04-29 12:48 - Fabien Udriot
- Target version set to 0.4.0

@Bernd, patch was applied. Please open a new bug report if necessary in Media (it looks the edit icon works for me in the included FE User vidi
module). Make sure you have the develop branch of media (will be merged into master soonish, though)

#11 - 2014-07-11 20:54 - Stefan Neufeind
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:61521531d111cef83143ac1406e8513be952771d.
